This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1295399 - time-zone location parameter ignored
time-zone location parameter ignored
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.1.5
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-04 05:59 EST by Ade Bradshaw
Modified: 2017-08-01 16:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 16:33:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ade Bradshaw 2016-01-04 05:59:55 EST
Description of problem:
I added two parameters to the location of a host

* keyboard (set to de)
* time-zone (set to Europe/Berlin)

When viewing the hosts YAML file, I see the entries, but when previewing the kickstart template, they are set to defaults

The relevant kickstart entries are

 timezone --utc <%= @host.params['time-zone'] || 'UTC' %>
 keyboard <%= @host.params['keyboard'] || 'us' %>


The parameters set at the location are ignored and I get UTC and us 



Version-Release number of selected component (if applicable):

# rpm -qa | grep foreman
sat6-hammer-test.example.com-foreman-proxy-client-1.0-1.noarch
foreman-1.7.2.49-1.el7sat.noarch
foreman-postgresql-1.7.2.49-1.el7sat.noarch
ruby193-rubygem-foreman_docker-1.2.0.24-1.el7sat.noarch
foreman-vmware-1.7.2.49-1.el7sat.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el7sat.noarch
rubygem-hammer_cli_foreman_discovery-0.0.1.10-1.el7sat.noarch
foreman-gce-1.7.2.49-1.el7sat.noarch
rubygem-hammer_cli_foreman_docker-0.0.3.10-1.el7sat.noarch
sat6-hammer-test.example.com-foreman-client-1.0-1.noarch
foreman-proxy-1.7.2.7-1.el7sat.noarch
foreman-libvirt-1.7.2.49-1.el7sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3.5-1.el7sat.noarch
ruby193-rubygem-foreman_bootdisk-4.0.2.14-1.el7sat.noarch
ruby193-rubygem-foreman_gutterball-0.0.1.9-1.el7sat.noarch
sat6-hammer-test.example.com-foreman-proxy-1.0-2.noarch
foreman-compute-1.7.2.49-1.el7sat.noarch
ruby193-rubygem-foreman-redhat_access-0.2.4-1.el7sat.noarch
ruby193-rubygem-foreman_discovery-2.0.0.23-1.el7sat.noarch
rubygem-hammer_cli_foreman-0.1.4.14-1.el7sat.noarch
foreman-ovirt-1.7.2.49-1.el7sat.noarch
ruby193-rubygem-foreman-tasks-0.6.15.7-1.el7sat.noarch
rubygem-hammer_cli_foreman_bootdisk-0.1.2.7-1.el7sat.noarch
foreman-selinux-1.7.2.16-1.el7sat.noarch
foreman-debug-1.7.2.49-1.el7sat.noarch



How reproducible:
100%


Steps to Reproduce:
1. Add a parameter to the location - such as time-zome or keyboard
2. Add a new host, in that location
3. Check the YAML output (you will see your entry)


Actual results:
Preview the kickstart template (you wont see the enty, instead the defaults)

Expected results:
The parameter from the location reflected in the kickstart


Additional info:
This seems to work perfectly in upstream Katello

# rpm -qa | grep foreman
foreman-selinux-1.10.0-1.el7.noarch
tfm-rubygem-foreman-tasks-0.7.6-1.fm1_10.el7.noarch
katello-devel.abcloud.pw-foreman-client-1.0-1.noarch
foreman-libvirt-1.10.0-1.el7.noarch
foreman-vmware-1.10.0-1.el7.noarch
tfm-rubygem-hammer_cli_foreman_tasks-0.0.8-1.el7.noarch
tfm-rubygem-foreman_hooks-0.3.9-1.el7.noarch
tfm-rubygem-foreman_gutterball-0.0.1-3.el7.noarch
tfm-rubygem-hammer_cli_foreman_bootdisk-0.1.3-3.el7.noarch
foreman-1.10.0-1.el7.noarch
foreman-compute-1.10.0-1.el7.noarch
foreman-postgresql-1.10.0-1.el7.noarch
foreman-release-scl-1-1.el7.x86_64
tfm-rubygem-foreigner-1.7.1-2.el7.noarch
tfm-rubygem-hammer_cli_foreman_docker-0.0.3-4.el7.noarch
katello-devel.abcloud.pw-foreman-proxy-1.0-2.noarch
tfm-rubygem-foreman_discovery-4.1.2-1.fm1_10.el7.noarch
foreman-debug-1.10.0-1.el7.noarch
foreman-release-1.10.0-1.el7.noarch
tfm-rubygem-foreman_bootdisk-6.0.0-2.fm1_10.el7.noarch
katello-devel.abcloud.pw-foreman-proxy-client-1.0-1.noarch
foreman-gce-1.10.0-1.el7.noarch
foreman-ovirt-1.10.0-1.el7.noarch
tfm-rubygem-hammer_cli_foreman-0.4.0-1.el7.noarch
foreman-proxy-1.10.0-1.el7.noarch
tfm-rubygem-foreman_docker-1.4.1-2.fm1_10.el7.noarch
Comment 1 Ade Bradshaw 2016-01-04 08:37:24 EST
Small update:

The keyboard setting was my error - the time-zone issue remains (will edit the title of the bug)
Comment 2 Bryan Kearney 2016-07-26 15:07:28 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 3 Bryan Kearney 2017-08-01 16:33:31 EDT
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Note You need to log in before you can comment on or make changes to this bug.